#page-teacher-list {
  width: 100vw;
  height: 100vh;
}

#search-teacher {
  margin-top: 3.2rem;
}

#search-teacher label {
  color: var(--color-text-in-primary);
}

#search-teacher .input-block {
  position: relative;
}

#search-teacher .input-block + .input-block {
  margin-top: 1.4rem;
}

#search-teacher .input-block label {
  font-size: 1.4rem;
}

#search-teacher .input-block input {
  width: 100%;
  height: 5.6rem;
  margin-top: 0.8rem;
  border-radius: 0.8rem;
  background-color: var(--color-input-background);
  border: 1px solid var(--color-line-in-white);
  outline: 0;
  padding: 0 1.6rem;
  font: 1.6rem Archivo;
}

#search-teacher .input-block:focus-within::after {
  width: calc(100% - 3.2rem);
  height: 2px;
  content: "";
  background: var(--color-primary-light);
  position: absolute;
  left: 1.6rem;
  right: 1.6rem;
  bottom: 0;
}

#page-teacher-list main {
  margin: 3.2rem auto;
  width: 90%;
}


@media (min-width: 700px) {
  #page-teacher-list {
    max-width: 100%;
  }

  #search-teacher {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    column-gap: 16px;
    position: absolute;
    bottom: -28px;
  }

  #search-teacher .input-block + .input-block {
    margin-top: 0;
  }

  #page-teacher-list main {
    padding: 32px 0;
    max-width: 740px;
    margin: 0 auto;
  }

  #page-teacher-list header,
  #page-teacher-list footer {
    padding: 3.2rem;
  }

  .teacher-item > p {
    padding: 0 3.2rem;
  }

  .teacher-item footer p strong {
    display: initial;
    margin-left: 1.6rem;
  }

  .teacher-item footer button {
    width: 24.5rem;
    font-size: 1.6rem;
    justify-content: center;
  }

  .teacher-item footer button img {
    margin-right: 1.6rem;
  }
}
